Package org.zkoss.zul.event

## Class PagingEvent

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zul.event.PagingEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class PagingEvent
      extends Event

  Used to notify that a new page is selected by the user, or by `Paginal` (such as `Paging`). It is used for paging long content.
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PagingEvent​(java.lang.String name, Component target, int actpg)` | Construct a paging event.
    `PagingEvent​(java.lang.String name, Component target, Pageable pageable, int actpg)` | Construct a paging event that the target is different from the page controller.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getActivePage()` | Returns the active page (starting from 0).
    `Pageable` | `getPageable()` | Returns the pageable controller.
    `static PagingEvent` | `getPagingEvent​(AuRequest request)` | Converts an AU request to a render event.

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PagingEvent

          public PagingEvent​(java.lang.String name,
                             Component target,
                             int actpg)

      Construct a paging event.
      Parameters:
        `target` - the target must be a paginal component, i.e., implements `Pageable`.
        `actpg` - the active page

    - #### PagingEvent

          public PagingEvent​(java.lang.String name,
                             Component target,
                             Pageable pageable,
                             int actpg)

      Construct a paging event that the target is different from the page controller.
      Parameters:
        `target` - the event target
        `pageable` - the paging controller. In other words, it is usually `Paginal`.

  - ### Method Detail

    - #### getPagingEvent

          public static final PagingEvent getPagingEvent​(AuRequest request)

      Converts an AU request to a render event.
      Since:
        5.0.0

    - #### getPageable

          public Pageable getPageable()

      Returns the pageable controller.
      Since:
        2.4.1

    - #### getActivePage

          public int getActivePage()

      Returns the active page (starting from 0).

      It is the same as `getPageable()`'s `Pageable.getActivePage()`.

      To get the index of the first visible item, use
      ``getActivePage()` * `Pageable.getPageSize()``.